> ## Documentation Index
> Fetch the complete documentation index at: https://docs.legend.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List Assets

> List all supported assets and their network availability

# List Assets

Returns all assets supported by Legend, including their decimals and which networks they're available on.

## Request

```
GET /assets
```

No parameters required.

## Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl https://prime-api.legend.xyz/assets \
    -H "Authorization: Bearer $LEGEND_QUERY_KEY"
  ```

  ```typescript TypeScript theme={null}
  const { assets } = await client.assets();
  ```

  ```python Python theme={null}
  result = await client.assets()
  assets = result["assets"]
  ```

  ```rust Rust theme={null}
  let assets = client.assets().await?;
  ```
</CodeGroup>

```json Response theme={null}
{
  "assets": {
    "USDC": {
      "name": "USD Coin",
      "decimals": 6,
      "networks": {
        "mainnet": { "chain_id": 1, "address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48" },
        "base": { "chain_id": 8453, "address": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913" },
        "arbitrum": { "chain_id": 42161, "address": "0xaf88d065e77c8cc2239327c5edb3a432268e5831" }
      }
    },
    "USDT": {
      "name": "Tether",
      "decimals": 6,
      "networks": {
        "mainnet": { "chain_id": 1, "address": "0xdac17f958d2ee523a2206206994597c13d831ec7" }
      }
    },
    "WETH": {
      "name": "Wrapped Ether",
      "decimals": 18,
      "networks": {
        "mainnet": { "chain_id": 1, "address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2" },
        "base": { "chain_id": 8453, "address": "0x4200000000000000000000000000000000000006" }
      }
    }
  }
}
```

### Response fields

| Field                                       | Type    | Description                                       |
| ------------------------------------------- | ------- | ------------------------------------------------- |
| `assets`                                    | object  | Map of asset symbol to asset details              |
| `assets[symbol].name`                       | string  | Human-readable asset name                         |
| `assets[symbol].decimals`                   | integer | Number of decimal places (use to convert amounts) |
| `assets[symbol].networks`                   | object  | Map of network name to contract details           |
| `assets[symbol].networks[network].chain_id` | integer | EVM chain ID                                      |
| `assets[symbol].networks[network].address`  | string  | Token contract address on that network            |

## Notes

* Use the `decimals` field to convert between human-readable amounts and API amounts. For example, 1 USDC = `1000000` (10^6) in API calls.
* An asset is available for earn/withdraw/transfer on a network only if it appears in that asset's `networks` map.
